components:
  schemas:

    TeacherForStudentResponse:
      type: object
      properties:
        id:
          type: string
          example: 018f22d5-4b3a-7c21-b93f-9a5aefc1b847
        full_name:
          type: string
          example: João Lima Santos
        email:
          type: string
          example: joao.lima@example.com
        telephone:
          type: string
          example: "11999999999"
        disciplines:
          type: array
          items:
            type: string
          example:
            - Matemática
            - Física
            - Cálculo
        avaliable_times:
          type: array
          items:
            type: object
            properties:
              day_of_week:
                type: number
                example: 3
              start_time:
                type: number
                example: 480
              end_time:
                type: number
                example: 720
        level_education:
          type: string
          example: "Ensino Médio"
